Package xg.md

# Interface ProtocolMetadata.protocolEndpointAddressOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ProtocolMetadata.protocolEndpointAddress`, `ProtocolMetadata.protocolEndpointAddress.Builder`

Enclosing class:
  ProtocolMetadata

public static interface ProtocolMetadata.protocolEndpointAddressOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`ProtocolMetadata.protocolEndpointAddress.AddressCase`
`getAddressCase()`
`ProtocolMetadata.protocolEndpointAddress.addressType`
`getAddressType()`
the address type
`int`
`getAddressTypeValue()`
the address type
`ProtocolMetadata.protocolEndpointAddress.ipv4Address`
`getIpv4Address()`
ipv4 address
`ProtocolMetadata.protocolEndpointAddress.ipv4AddressOrBuilder`
`getIpv4AddressOrBuilder()`
ipv4 address
`boolean`
`hasIpv4Address()`
ipv4 address

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getAddressTypeValue

int getAddressTypeValue()

     the address type

`.xg.md.protocolEndpointAddress.addressType address_type = 2;`

Returns:
  The enum numeric value on the wire for addressType.

### getAddressType

ProtocolMetadata.protocolEndpointAddress.addressType getAddressType()

     the address type

`.xg.md.protocolEndpointAddress.addressType address_type = 2;`

Returns:
  The addressType.

### hasIpv4Address

boolean hasIpv4Address()

     ipv4 address

`.xg.md.protocolEndpointAddress.ipv4Address ipv4_address = 11;`

Returns:
  Whether the ipv4Address field is set.

### getIpv4Address

ProtocolMetadata.protocolEndpointAddress.ipv4Address getIpv4Address()

     ipv4 address

`.xg.md.protocolEndpointAddress.ipv4Address ipv4_address = 11;`

Returns:
  The ipv4Address.

### getIpv4AddressOrBuilder

ProtocolMetadata.protocolEndpointAddress.ipv4AddressOrBuilder getIpv4AddressOrBuilder()

     ipv4 address

`.xg.md.protocolEndpointAddress.ipv4Address ipv4_address = 11;`

### getAddressCase

ProtocolMetadata.protocolEndpointAddress.AddressCase getAddressCase()